Package org.eclipse.cdt.utils.xcoff.parser

## Class XCOFFBinaryExecutable

- java.lang.Object
- - org.eclipse.core.runtime.PlatformObject
  - - org.eclipse.cdt.utils.BinaryFile
    - - org.eclipse.cdt.utils.BinaryObjectAdapter
      - - org.eclipse.cdt.utils.xcoff.parser.XCOFFBinaryObject
        - - org.eclipse.cdt.utils.xcoff.parser.XCOFFBinaryExecutable

All Implemented Interfaces:
  `IBinaryParser.IBinaryFile`, `IBinaryParser.IBinaryObject`, `org.eclipse.core.runtime.IAdaptable`

    public class XCOFFBinaryExecutable
    extends XCOFFBinaryObject

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.cdt.utils.BinaryObjectAdapter

`BinaryObjectAdapter.BinaryObjectInfo`

### Field Summary

### Fields inherited from class org.eclipse.cdt.utils.BinaryObjectAdapter

`NO_SYMBOLS`

### Fields inherited from interface org.eclipse.cdt.core.IBinaryParser.IBinaryFile

`ARCHIVE, CORE, EXECUTABLE, OBJECT, SHARED`

### Constructor Summary

Constructors
`XCOFFBinaryExecutable​(IBinaryParser parser, org.eclipse.core.runtime.IPath path)`

### Method Summary

### Methods inherited from class org.eclipse.cdt.utils.xcoff.parser.XCOFFBinaryObject

`addSymbols, getAdapter, getAddr2line, getAddressFactory, getBinaryObjectInfo, getContents, getName, getSymbols, getXCoff32, loadAll, loadInfo, loadInfo, loadSymbols`

### Methods inherited from class org.eclipse.cdt.utils.BinaryObjectAdapter

`getBSS, getCPU, getData, getNeededSharedLibs, getSoName, getSymbol, getText, hasDebug, isLittleEndian, toString`

### Methods inherited from class org.eclipse.cdt.utils.BinaryFile

`getBinaryParser, getPath, getType, hasChanged`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.cdt.core.IBinaryParser.IBinaryFile

`getBinaryParser, getPath, getType`

### Constructor Detail

#### XCOFFBinaryExecutable

    public XCOFFBinaryExecutable​(IBinaryParser parser,
                                 org.eclipse.core.runtime.IPath path)